head	1.2;
access;
symbols;
locks; strict;
comment	@# @;


1.2
date	2008.09.15.23.13.22;	author miwi;	state dead;
branches;
next	1.1;

1.1
date	2008.08.10.21.52.04;	author miwi;	state Exp;
branches;
next	;


desc
@@


1.2
log
@- Update to 2.1_rc11

Changelog:
	This release fixes a serious (though not security-related) bug in the
	SSL/TLS negotiation over UDP that can cause SSL/TLS handshake failures.

PR:		127392
Submitted by:	Matthias Andree <matthias.andree@@gmx.de> (maintainer)
Approved by:	portmgr (pav)
@
text
@--- ./t_cltsrv.sh.orig	2008-08-07 23:14:55.000000000 +0200
+++ ./t_cltsrv.sh	2008-08-07 23:53:27.000000000 +0200
@@@@ -38,11 +38,13 @@@@
     fi
     ;;
 esac
+downscript="${srcdir}/t_cltsrv-down.sh"
+test -x $downscript || chmod +x $downscript || { echo >&2 "$downscript is not executable, failing." ; exit 1 ; }
 echo "the following test will take about two minutes..." >&2
 set +e
 (
-./openvpn --cd "${srcdir}" ${addopts} --down 'echo "srv:${signal}" >&3 ; : #' --tls-exit --ping-exit 180 --config sample-config-files/loopback-server &
-./openvpn --cd "${srcdir}" ${addopts} --down 'echo "clt:${signal}" >&3 ; : #' --tls-exit --ping-exit 180 --config sample-config-files/loopback-client
+./openvpn --script-security 2 --cd "${srcdir}" ${addopts} --setenv role srv --down "$downscript" --tls-exit --ping-exit 180 --config sample-config-files/loopback-server &
+./openvpn --script-security 2 --cd "${srcdir}" ${addopts} --setenv role clt --down "$downscript" --tls-exit --ping-exit 180 --config sample-config-files/loopback-client
 ) 3>log.$$.signal >log.$$ 2>&1
 e1=$?
 wait $!
--- ./t_cltsrv-down.sh.orig	2008-08-07 23:24:40.000000000 +0200
+++ ./t_cltsrv-down.sh	2008-08-07 23:28:40.000000000 +0200
@@@@ -0,0 +1,2 @@@@
+#! /bin/sh
+echo "${role}:${signal}" >&3
@


1.1
log
@- Add missing patch (forgot in previous commit)
@
text
@@

